%define module Storable
%define version 1.0.14
%define release 1mdk

Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Summary: %{module} module for perl
Name: perl-%{module}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source0: %{module}-%{version}.tar.bz2
Patch: %{module}-1.0.12-fixpods.patch.bz2
Url: http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl >= 5.600

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

# call spec-helper before creating the file list
s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s

find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{module}-%{version}-filelist

%files
%defattr(-,root,root)
%doc README
%{_libdir}/perl5/man/man*/*
%{perl_sitearch}/*.pm
%{perl_sitearch}/auto/Storable

%changelog
* Thu Jan 03 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.14-1mdk
- 1.0.14.

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.0.13-1mdk
- 1.0.13.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.12-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.0.12-1mdk
- 1.0.12.
- updated license.
- removed filelist, now use globing with macros.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.11-3mdk
- Rebuild for the latest perl.
- Remove the Distribution and Vendor Tag.
- Rename the spec file.

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.6.11-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.6.11-1mdk
- Macroize package
